View Issue Details

IDProjectCategoryView StatusLast Update
0002355NoesisGUIC++ SDKpublic2022-11-11 17:49
Reportersfernandez Assigned Tomaherne  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.1.4 
Target Version3.1.6Fixed in Version3.1.6 
Summary0002355: Implement an official localization solution
DescriptionThe approach could be to use a MarkupExtension that would be able to get localized strings from resource dictionaries. It will allow you to specify the source dictionary globally for a whole view, or locally for part of the UI using an inheritable attached property (and more things like fallback texts for design time), something like this:

<Grid
  xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
  xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
  xmlns:l="clr-namespace:Localization"
  l:Loc.Source="Languages/lang-en.xaml">
  <TextBlock Text="{l:Loc PageTitle, Id=Title}"/>
  ...
  <StackPanel l:Loc.Source="Languages/lang-fr.xaml">
    <TextBlock Text="{l:Loc Id=Name}"/>...
    <TextBlock Text="{l:Loc Id=Address}"/>...
  </StackPanel>
</Grid>
TagsNo tags attached.
PlatformAny

Relationships

related to 0001963 resolvedmaherne Create a RichTextFormatterBehavior or attached property 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2022-05-26 13:08 sfernandez New Issue
2022-05-26 13:08 sfernandez Assigned To => sfernandez
2022-05-26 13:08 sfernandez Status new => assigned
2022-05-26 13:08 sfernandez Target Version => 3.2
2022-07-08 14:17 jsantos Assigned To sfernandez => maherne
2022-07-08 14:17 sfernandez Relationship added related to 0001963
2022-11-07 17:26 sfernandez Target Version 3.2 => 3.1.6
2022-11-11 17:49 maherne Status assigned => resolved
2022-11-11 17:49 maherne Resolution open => fixed
2022-11-11 17:49 maherne Fixed in Version => 3.1.6